
Katello - Bug #4271

cvs output for gpg subcommand doesn't work

02/05/2014 07:47 PM - Og Maciel

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Hammer   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

[root@qetello03 ~]# hammer gpg info --id 5

ID:              5

Name:            yj8266h

Organization:    ACME_Corporation

Repositories:

interning empty string

Content:         [root@qetello03 ~]# hammer -v --output csv gpg info --id 5

[ERROR 2014-02-05 14:37:50 Exception] interning empty string

interning empty string

[ERROR 2014-02-05 14:37:50 Exception]

ArgumentError (interning empty string):

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/output/fields.rb:43:in `to_sym'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/output/fields.rb:43:in `follow_pa

th'

    /usr/lib/ruby/gems/1.8/gems/logging-1.8.1/lib/logging/logger.rb:435:in `inject'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/output/fields.rb:42:in `each'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/output/fields.rb:42:in `inject'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/output/fields.rb:42:in `follow_pa

th'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/output/fields.rb:34:in `get_value

'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/output/adapter/csv.rb:31:in `prin

t_collection'

    /usr/lib/ruby/gems/1.8/gems/logging-1.8.1/lib/logging/logger.rb:435:in `inject'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/output/adapter/csv.rb:29:in `each

'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/output/adapter/csv.rb:29:in `inje

ct'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/output/adapter/csv.rb:29:in `prin

t_collection'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/output/adapter/csv.rb:28:in `each

'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/output/adapter/csv.rb:28:in `prin

t_collection'

    /usr/lib/ruby/gems/1.8/gems/fastercsv-1.5.4/lib/faster_csv.rb:1077:in `generate'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/output/adapter/csv.rb:73:in `gene

rate'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/output/adapter/csv.rb:24:in `prin

t_collection'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/output/adapter/csv.rb:20:in `prin

t_record'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/output/output.rb:20:in `print_rec

ord'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/./apipie/../abstract.rb:150:in `p

rint_record'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.0.18/lib/hammer_cli_foreman/commands.rb:127:i

n `print_data'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/./apipie/read_command.rb:10:in `e

xecute'

    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/./apipie/../abstract.rb:22:in `ru

n'

    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'

    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/./apipie/../abstract.rb:22:in `ru

n'

    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'

    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/./apipie/../abstract.rb:22:in `ru

n'

    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:125:in `run'

    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/bin/hammer:61

    /usr/bin/hammer:19:in `load'

    /usr/bin/hammer:19

Related issues:

Related to Katello - Bug #4272: gpg info Closed 02/05/2014

History

#1 - 02/05/2014 07:53 PM - Og Maciel

We should probably do the same thing that was done for partition_table:

root@qetello03 ~]# hammer partition_table list

---------------------------------------------

ID | NAME                         | OS FAMILY

---------------------------------------------

3  | AutoYaST LVM                 | Suse

1  | AutoYaST entire SCSI disk    | Suse

2  | AutoYaST entire virtual disk | Suse

4  | Jumpstart default            | Solaris

5  | Jumpstart mirrored           | Solaris

9  | Junos default fake           | Junos

6  | Kickstart default            | Redhat

8  | Preseed custom LVM           | Debian

7  | Preseed default              | Debian

---------------------------------------------

[root@qetello03 ~]# hammer partition_table info --id 6

Id:          6

Name:        Kickstart default

OS Family:   Redhat

Created at:  2014/02/04 20:27:28

Updated at:  2014/02/04 20:27:28

[root@qetello03 ~]# hammer partition_table dump --id 6

<%#

kind: ptable

name: Community Kickstart Disklayout

oses:

- CentOS 5

- CentOS 6

- Fedora 16

- Fedora 17

- Fedora 18

- Fedora 19

- RedHat 5

- RedHat 6

%>

zerombr

clearpart --all --initlabel

autopart

#2 - 02/05/2014 08:04 PM - Og Maciel

3:01 PM mccun934 ElGuapo: not sure what dump has todo with --csv output

3:01 PM mccun934 re: your comment

3:02 PM ElGuapo mccun934: display the content of the key only when using dump

05/18/2024 2/3



3:02 PM ElGuapo otherwise don't bother

3:02 PM mccun934 but that is an entirely different output format

3:02 PM mccun934 ElGuapo: seems apples vs oranges

3:02 PM jsherrill ElGuapo: i'm not sure there'd be any point to an info command if we didn't print the key its

elf

3:03 PM ElGuapo mccun934: it is. partha asked what he should do with displaying the content... I said, don't d

isplay unless you use dump

3:03 PM ElGuapo jsherrill: partition_table does it...

3:03 PM ElGuapo info tells me which orgs, repos

3:03 PM ElGuapo that is useful

3:04 PM jsherrill ah yeah, i guess it does show repos

#3 - 03/12/2014 11:05 AM - Tomáš Strachota

- Status changed from New to Closed

- Assignee set to Tomáš Strachota

Fixed in PRs:

https://github.com/theforeman/hammer-cli/pull/87

https://github.com/theforeman/hammer-cli-foreman/pull/88

#4 - 03/12/2014 02:01 PM - Tomáš Strachota

- Related to Bug #4272: gpg info  added

#5 - 09/01/2016 07:58 AM - Tomáš Strachota

- Project changed from Hammer CLI to Katello

- Category changed from 74 to Hammer

#6 - 09/07/2016 02:07 PM - Justin Sherrill

- translation missing: en.field_release set to 166
